Bug 1283069 - bochs-debugger missing a plugin
bochs-debugger missing a plugin
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bochs (Show other bugs)
23
All Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Chris Lalancette
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 02:31 EST by hanishkvc
Modified: 2016-12-20 11:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1092192
Environment:
Last Closed: 2016-12-20 11:02:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hanishkvc 2015-11-18 02:31:33 EST
+++ This bug was initially created as a clone of Bug #1092192 +++

NOTE: Issue still there even in F23 with the latest bochs-debugger.x86_64 2.6.2-9.fc23 rpm

Description of problem:
bochs-debugger fails on launch, due to a missing plugin module:

Version-Release number of selected component (if applicable):
bochs-debugger-2.6.2-5.fc20.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Run bochs-debugger

Actual results:
========================================================================
                       Bochs x86 Emulator 2.6.2
                Built from SVN snapshot on May 26, 2013
                  Compiled on Aug 14 2013 at 13:53:31
========================================================================
00000000000i[     ] LTDL_LIBRARY_PATH not set. using compile time default '/usr/lib64/bochs/plugins'
00000000000i[     ] BXSHARE not set. using compile time default '/usr/share/bochs'
00000000000i[     ] lt_dlhandle is 0x7fe9019dae10
00000000000i[PLGIN] loaded plugin libbx_unmapped.so
00000000000i[     ] lt_dlhandle is 0x7fe9019db960
00000000000i[PLGIN] loaded plugin libbx_biosdev.so
00000000000i[     ] lt_dlhandle is 0x7fe9019dc390
00000000000i[PLGIN] loaded plugin libbx_speaker.so
00000000000i[     ] lt_dlhandle is 0x7fe9019dcc60
00000000000i[PLGIN] loaded plugin libbx_extfpuirq.so
00000000000i[     ] lt_dlhandle is 0x7fe9019dd4b0
00000000000i[PLGIN] loaded plugin libbx_parallel.so
00000000000i[     ] lt_dlhandle is 0x7fe9019df070
00000000000i[PLGIN] loaded plugin libbx_serial.so
00000000000i[     ] lt_dlhandle is (nil)
00000000000p[     ] >>PANIC<< dlopen failed for module 'iodebug': file not found


Expected results:
libbx_iodebug.so should have been loaded

Additional info:

--- Additional comment from Fedora End Of Life on 2015-05-29 07:42:05 EDT ---

This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Fedora End Of Life on 2015-06-29 16:20:34 EDT ---

Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 1 hanishkvc 2015-11-18 03:23:59 EST
I have cross checked by compiling the latest svn version. And what I feel is

that bochs-debugger was build with --enable-plugins and inturn iodebug shared library was not included in the package.

So either compile without --enable-plugins so that iodebug is part of the bochs-debugger internally or if compiling with --enable-plugins then please include iodebug shared library in the rpm of bochs-debugger.

ELSE, bochs and bochs-debugger rpms have been compiled with different settings wrt --enable-plugins, and the binary compiled without --enable-plugins is wrongly checking for plugins because of some entry in conf file

Just my casual thoughts, I haven't looked into things in detail.

????
Comment 2 hanishkvc 2015-11-18 03:25:57 EST
(In reply to hanishkvc from comment #1)
> I have cross checked by compiling the latest svn version. And what I feel is
> 
> that bochs-debugger was build with --enable-plugins and inturn iodebug
> shared library was not included in the package.
> 
> So either compile without --enable-plugins so that iodebug is part of the
> bochs-debugger internally or if compiling with --enable-plugins then please
> include iodebug shared library in the rpm of bochs-debugger.
> 
> ELSE, bochs and bochs-debugger rpms have been compiled with different
> settings wrt --enable-plugins, and the binary compiled without
> --enable-plugins is wrongly checking for plugins because of some entry in
> conf file
> 
> Just my casual thoughts, I haven't looked into things in detail.
> 
> ????

Rather I was able to get bochs working with builtin debugger in both of below cases with latest svn release.

./configure --enable-debugger --enable-disasm --with-all-libs --enable-e1000 --enable-sb16  --enable-plugins

./configure --enable-debugger --enable-disasm --with-all-libs --enable-e1000 --enable-sb16
Comment 3 hanishkvc 2015-11-18 11:58:57 EST
Rather, as I was in the middle of some other debugging, I didn't notice the problem which was right in front of me, that's why I gave a alternate possible problem also. But now that I had a relook at the actual error.

The issue is that bochs-debugger was compiled with --enable-plugins so iodebug is built has a shared library. But the bochs-debugger.rpm doesn't contain the same. Please either include the iodebug.so file or else build bochs-debugger without --enable-plugins. And that will fix this problem. Not sure why for all this time it has not been done. Please fix this.

Also maybe while in the middle of it, also upgrade to the latest version of bochs i.e 2.6.8 (instead of this old 2.6.2 version).
Comment 4 Fedora End Of Life 2016-11-24 08:32:28 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 11:02:53 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.